For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Workflow
      • POSTExecute Workflow Async
      • STREAMExecute Workflow as Stream
      • GETCheck Workflow Execution Status
      • POSTSubmit Workflow Execution Actuals
LogoLogo
BlogLog InRequest Demo
Client SDKWorkflows

Submit Workflow Execution Actuals

GA
POST
https://predict.vellum.ai/v1/submit-workflow-execution-actuals
POST
/v1/submit-workflow-execution-actuals
1import requests
2
3url = "https://predict.vellum.ai/v1/submit-workflow-execution-actuals"
4
5payload = { "actuals": [{ "output_type": "STRING" }] }
6headers = {
7 "X-API-KEY": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
200Successful
1{}

Used to submit feedback regarding the quality of previous workflow execution and its outputs.

Note: Uses a base url of https://predict.vellum.ai.

Was this page helpful?
Previous

Deploy Workflow

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Headers

X-API-VersionstringOptional

Request

This endpoint expects an object.
actualslist of objectsRequired
Feedback regarding the quality of an output on a previously executed workflow.
execution_idstring or nullOptionalformat: "uuid"

The Vellum-generated ID of a previously executed workflow. Must provide either this or external_id.

external_idstring or nullOptional>=1 character

The external ID that was originally provided by when executing the workflow, if applicable, that you’d now like to submit actuals for. Must provide either this or execution_id.

Response

No response body